<div class="col-xs-12 col-sm-12 col-md-3 col-lg-3 pl-0 pr-0">
  <squeezebox>
    <div class="alarm-panel">
      <div class="bg-white alarm-inner-panel">
        <div class="heading"> Filter / Search By :</div>
      </div>

      <sb-item>
        <div class="bg-white alarm-inner-panel">
          <span class="sub-heading">
            <label><input type="checkbox" class="check-box"  [(ngModel)]="filter.facility.enabled" /> Facility Name</label>
          </span>
            <span class="pull-right">
            <span class="sub-heading">
            <sb-item-head>
              </sb-item-head>
            </span>
            </span>
        </div>
        <sb-item-body>
          <div class="alarm-panel">
            <div class="text-muted alarm-inner-panel">
              <div class="sub-heading">
                <div class="input-group changethisone">
                  <input type="text" class="form-control" placeholder="Type Facility Name" (mouseenter)="test()" [hidden]="filter.facility.enabled" [(ngModel)]="filter.facility.keyword" (keyup)="applyFilter()"
                  />
                  <span class="input-group-addon">
                <i class="glyphicon glyphicon-search"></i>
            </span>
                </div>
              </div>
              <ul class="sub-heading with-padding">
                <li *ngFor="let fac of facility" class="checkbox">
                  <label><input type="checkbox" class="check-box" [value]="fac.facilityId" (change)="applyFilter()" [(ngModel)]="fac.checked"/> {{fac.name}}</label>
                </li>
              </ul>
            </div>
          </div>
        </sb-item-body>
      </sb-item>

      <sb-item>
        <div class="bg-white alarm-inner-panel">

          <span class="sub-heading">
            <label><input type="checkbox" class="check-box" [(ngModel)]="filter.error.enabled" /> Error Type :</label>
          </span>
            <span class="pull-right">
            <span class="sub-heading">
            <sb-item-head>
              </sb-item-head>
            </span>
            </span>
        </div>
        <sb-item-body>
          <div class="alarm-panel">
              <div class="text-muted alarm-inner-panel">
                  <div class="text-muted alarm-inner-panel">
                      <div class="sub-heading">
                          <div class="input-group changethisone">
                              <input type="text" class="form-control" placeholder="Type Facility Name" (mouseenter)="test()" [hidden]="filter.error.enabled" [(ngModel)]="filter.error.keyword" (keyup)="applyFilter()"
                              />
                              <span class="input-group-addon">
                <i class="glyphicon glyphicon-search"></i>
            </span>
                          </div>
                      </div>
                  <ul class="sub-heading with-padding">
                      <li *ngFor="let error of errorType" class="checkbox">
                          <label><input type="checkbox" class="check-box" [value]="error.key" (change)="applyFilter()" [(ngModel)]="error.checked" /> {{error.value}}</label>
                      </li>
                  </ul>
              </div>
          </div>
          </div>

        </sb-item-body>
      </sb-item>

      <sb-item>
        <div class="bg-white alarm-inner-panel">
            <span class="sub-heading">
              <label> <input type="checkbox" class="check-box" [(ngModel)]="filter.asset.enabled" /> Asset :</label>
            </span>
                    <span class="pull-right">
            <span class="sub-heading">
            <sb-item-head>
              </sb-item-head>
            </span>
            </span>
        </div>
         <sb-item-body>
              <div class="text-muted alarm-inner-panel">
                        <div class="sub-heading">
                            <div class="input-group changethisone">
                                <input type="text" class="form-control" placeholder="Type Facility Name" (mouseenter)="test()" [hidden]="filter.asset.enabled" [(ngModel)]="filter.asset.keyword" (keyup)="applyFilter()"
                                />
                                <span class="input-group-addon">
                <i class="glyphicon glyphicon-search"></i>
            </span>
                            </div>
                        </div>
                        <ul class="sub-heading with-padding">
                            <li *ngFor="let asst of asset" class="checkbox">
                                <label> <input type="checkbox" class="check-box" [value]="asst.Name" (change)="applyFilter()" [(ngModel)]="asst.checked"/> {{asst.Name}}</label>
                            </li>
                        </ul>
                    </div>
         </sb-item-body>
        </sb-item>

      <sb-item>
            <div class="bg-white alarm-inner-panel">
        <span class="sub-heading">
           <label> <input type="checkbox" class="check-box" [(ngModel)]="filter.alarm.enabled" /> Alarm Status :</label>
          </span>
                <span class="pull-right">
        <span class="sub-heading">
        <sb-item-head></sb-item-head>
        </span>
        </span>
            </div>
            <sb-item-body>
                <div class="text-muted alarm-inner-panel">
                    <div class="sub-heading">
                        <div class="input-group changethisone">
                            <input type="text" class="form-control" placeholder="Type Alarm Status" (mouseenter)="test()" [hidden]="filter.alarm.enabled" [(ngModel)]="filter.alarm.keyword" (keyup)="applyFilter()"
                            />
                            <span class="input-group-addon">
                <i class="glyphicon glyphicon-search"></i>
            </span>
                        </div>
                    </div>
                    <ul class="sub-heading with-padding">
                        <li *ngFor="let alarm of alarmConsole" class="checkbox">
                            <label><input type="checkbox" class="check-box" [value]="alarm.key"  (change)="applyFilter()" [(ngModel)]="alarm.checked" /> {{alarm.value}}</label>
                        </li>
                    </ul>
                </div>
            </sb-item-body>
        </sb-item>
    </div>
  </squeezebox>
  <!-- <div class="row"> -->
</div>
<!-- </div> -->
<div class="col-xs-12 col-sm-12 col-md-9 col-lg-9 pl-0 pr-0">
  <div class="alarm-header row">
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 alarm-hed-content">
      <div class="col-md-2 bg-red alarm-img">
        <div class="svg-holder">
          <svg class="svg-icon">
            <use [attr.xlink:href]="svgIcons[0]"></use>
          </svg>
        </div>
      </div>
      <div class="col-md-10 bg-white alarm-content red text-center">
        <span class="number"> 8</span> Alarms
      </div>
    </div>
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
      <div class="col-md-2 bg-green alarm-img">
        <div class="svg-holder">
          <svg class="svg-icon">
            <use [attr.xlink:href]="svgIcons[1]"></use>
          </svg>
        </div>
      </div>
      <div class="col-md-10 bg-white alarm-content green text-center">
        <span class="number"> 7</span> Acknowledged
      </div>
    </div>
    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4">
      <div class="col-md-2 bg-light-sea-blue alarm-img">
        <div class="svg-holder">
          <svg class="svg-icon">
            <use [attr.xlink:href]="svgIcons[2]"></use>
          </svg>
        </div>
      </div>
      <div class="col-md-10 bg-white alarm-content light-sea-blue text-center">
        <span class="number"> 8</span> Notified
      </div>
    </div>
  </div>
  <!-- [ngClass]="assetAlarmInfo?.Param?.length > 0 ? ' pl-0 pr-0' : ''" -->
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 pl-0 pr-0">
    <div class="table-responsive" *ngIf="assetAlarmInfo.length > 0;else no_data">
      <table class="table org-table bg-white">
        <thead class="alarm-hed-color">
          <tr>
            <th>
              <input type="checkbox" name="" class="checkbox" />
            </th>
            <th>Facility Name</th>
            <th>Asset ID</th>
            <th>Message</th>
            <th>Trigger Time</th>
            <th>Updated Time</th>
            <th>Status</th>
             <th></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let alarm of assetAlarmInfo">
            <td>
              <input type="checkbox" name="" class="checkbox" />
            </td>
            <td>{{alarm.Param[0].Name}}</td>
            <td>{{alarm.AssetId}}</td>
            <td>{{alarm.Param[0].Value}}</td>
            <td>{{alarm.OccurrenceDate}}</td>
            <td>{{alarm.Param[0].Status}}</td>
            <td>
                <span class="glyphicon glyphicon-edit" (click)="alarmModal.show()"></span>
            </td>
          </tr>
        </tbody>
        <tfoot class="alarm-hed-color">
          <tr>
            <td colspan="3"></td>
            <td>
              <span class="glyphicon glyphicon-edit" (click)="openAlarmNoteForm(alarm)"></span>
              <span class="glyphicon glyphicon-trash"></span>
            </td>
            <td colspan="3"></td>
          </tr>
        </tfoot>
      </table>
    </div>
    <ng-template #no_data>
      <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data ">
          No Data exists
        </div>
      </div>
    </ng-template>
  </div>
</div>
<app-operation-strip></app-operation-strip>
<app-popup #alarmModal>
    <div class="app-modal-header">
        Add Notes
    </div>
    <div class="app-modal-body">
        <div class="col-lg-12">
            <form class="form-horizontal surge-form">
                <div class="form-group">
                    <label class="col-sm-2 control-label">Notes</label>
                    <div class="col-sm-10">
                        <textarea class="form-control" name="notes" rows="5" [(ngModel)]="alarmNotes.notes"></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">Status</label>
                    <div class="col-sm-10">
                        <select class="form-control" [(ngModel)]="alarmNotes.status" name="status">
                            <option *ngFor="let alarm of alarmConsole" [value]="alarm.value">{{alarm.key}}</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label">File Reference</label>
                    <div class="col-sm-10">
                        <app-application-attachment></app-application-attachment>

                        <ng2-file-input></ng2-file-input>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="app-modal-footer">
        <button class="btn btn-tab" type="button" (click)="alarmModal.hide()">Cancel</button>
        <button class="btn btn-tab" type="button" (click)="saveAlarmNotes(alarmModal)">Save</button>
    </div>
</app-popup>

<!--
<div bsModal #childModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="mySmallModalLabel"
     aria-hidden="true">
    <div class="modal-dialog modal-md">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title pull-left">
                    <strong>Add Notes </strong>
                </h4>
                <button type="button" class="close pull-right" aria-label="Close" (click)="hideAlarmNoteForm()">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form class="form-horizontal surge-form" enctype="multipart/form-data">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Notes</label>
                        <div class="col-sm-10">
                            <textarea class="form-control" name="notes" rows="5" [(ngModel)]="alarmNotes.notes">

                            </textarea>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Status</label>
                        <div class="col-sm-10">
                            <select class="form-control" [(ngModel)]="alarmNotes.status" name="status">
                                <option *ngFor="let alarm of alarmConsole" [value]="alarm.value">{{alarm.key}}</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">File Reference</label>
                        <div class="col-sm-10">
                            <input  type="file" name="filereference" value=""/>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" type="button" (click)="hideAlarmNoteForm()">Cancel</button>
                <button class="btn btn-primary" type="button" (click)="saveAlarmNotes()">Save</button>
            </div>
        </div>
    </div>
</div>-->
